Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.consultation.protocol.v3
Class GetMessageAcknowledgmentsStatusRequest

    java.lang.Object
      be.fgov.ehealth.ehbox.consultation.protocol.v3.GetMessageAcknowledgmentsStatusRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:00:30+01:00",
               comments="JAXB RI v2.2.11")
    public class GetMessageAcknowledgmentsStatusRequest

extends Object
implements Serializable

Java class for GetMessageAcknowledgmentsStatusRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetMessageAcknowledgmentsStatusRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BoxId" type="{urn:be:fgov:ehealth:ehbox:core:v3}BoxIdType" minOccurs="0"/>
             <element name="MessageId" type="{urn:be:fgov:ehealth:ehbox:core:v3}MessageIdType"/>
             <element name="StartIndex" minOccurs="0">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                   <minInclusive value="1"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="EndIndex" minOccurs="0">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                   <minInclusive value="1"/>
                 </restriction>
               </simpleType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GetMessageAcknowledgmentsStatusRequest()`

Method Summary
`BoxIdType` | `getBoxId()` Gets the value of the boxId property.
`Integer` | `getEndIndex()` Gets the value of the endIndex property.
`String` | `getMessageId()` Gets the value of the messageId property.
`Integer` | `getStartIndex()` Gets the value of the startIndex property.
`void` | `setBoxId(BoxIdType value)` Sets the value of the boxId property.
`void` | `setEndIndex(Integer value)` Sets the value of the endIndex property.
`void` | `setMessageId(String value)` Sets the value of the messageId property.
`void` | `setStartIndex(Integer value)` Sets the value of the startIndex property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetMessageAcknowledgmentsStatusRequest

    public GetMessageAcknowledgmentsStatusRequest()

Method Detail

### getBoxId

    public BoxIdType getBoxId()

  Gets the value of the boxId property.

  Returns:
    possible object is `BoxIdType`

### setBoxId

    public void setBoxId(BoxIdType value)

  Sets the value of the boxId property.

  Parameters:
    `value` - allowed object is `BoxIdType`

### getMessageId

    public String getMessageId()

  Gets the value of the messageId property.

  Returns:
    possible object is `String`

### setMessageId

    public void setMessageId(String value)

  Sets the value of the messageId property.

  Parameters:
    `value` - allowed object is `String`

### getStartIndex

    public Integer getStartIndex()

  Gets the value of the startIndex property.

  Returns:
    possible object is `Integer`

### setStartIndex

    public void setStartIndex(Integer value)

  Sets the value of the startIndex property.

  Parameters:
    `value` - allowed object is `Integer`

### getEndIndex

    public Integer getEndIndex()

  Gets the value of the endIndex property.

  Returns:
    possible object is `Integer`

### setEndIndex

    public void setEndIndex(Integer value)

  Sets the value of the endIndex property.

  Parameters:
    `value` - allowed object is `Integer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.